function [neuromag] = neuromag_load_fiff(fiffile)
% load fiffile.
% [USAGE]
%    neuromag = neuro_load_fiff(fiffile);
% [IN]
%    fiffile : fiffile(MRI fiff or Data fiff)
% [OUT]
%    neuromag : Structure defined in hns_loadfiff3.

%
% --- Previous check
%
if ~exist('fiffile', 'var')
    error('File not found : %s', fiffile);
end

%
% --- Main Procedure
%
persistent neuromag_cache; % neuromag
persistent filename;       % cached filename.

if ~strcmp(filename, fiffile)
    if vb_matlab_version('>=', '7.5')
        func = @hns_loadfiff4;
    else
        func = @hns_loadfiff4_old;
    end
    neuromag_cache = feval(func, fiffile, 0);
    filename = fiffile;
end
neuromag = neuromag_cache;
